complexType "OptionExpiry"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 5 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | eventIdentifier*, tradeIdentifier*, date?, time?, exerciseProcedure?
</...>

Content Model Elements (5):

  date (in optionExpiry defined in Events.model group),
  eventIdentifier (defined in AbstractEvent complexType),
  exerciseProcedure (in optionExpiry defined in Events.model group),
  time (in optionExpiry defined in Events.model group),
  tradeIdentifier (in optionExpiry defined in Events.model group)

All Direct / Indirect Based Elements (1):

  optionExpiry (defined in Events.model group)

Known Usage Locations

- As direct type of elements (1):
  optionExpiry (defined in Events.model group)

Annotation
A structure describing an option expiring (i.e. passing its last exercise time and becoming worthless.)
Type Definition Detail

Type Derivation Tree AbstractEvent (extension) OptionExpiry

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="OptionExpiry"> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> <xsd:element minOccurs="0" name="time" type="xsd:time"/> <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedureOption"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/5)
date

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="date" type="xsd:date"/>

exerciseProcedure

  Type: | ExerciseProcedureOption, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedureOption"/>

time

  Type: | xsd:time, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="time" type="xsd:time"/>

tradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.